## ddclient installieren
vgl. [http://www.forum-raspberrypi.de/Thread-tutorial-dynamic-dns](http://www.forum-raspberrypi.de/Thread-tutorial-dynamic-dns)

### Anmerkung
*Die dynamische DNS ist in diesem Beispiel bei [NoIP](https://no-ip.com) gehostet. Bei anderen Anbietern kann die erste Zeile der Konfigurations-Datei abweichen.*

**Client laden**  

```xml
sudo apt install ddclient -y
```
(Fragen können alle übersprungen werden (ENTER), die Konfigurationsdatei wird im nächsten Schritt bearbeitet)  

**Config-Dateien anpassen**  

```xml
sudo nano /etc/ddclient.conf
```
-> Ändern:  

```xml  
protocol=noip
use=web, web=checkip.dyndns.com, web-skip='IP Address'
server=dynupdate.no-ip.com
login='test@mail.com'
password='secret'
domain.ddns.net
```


**Update-Rate verändern**

```xml
sudo nano /etc/default/ddclient
```
-> Ändern (z.B. alle 2 Stunden = 7200s):  
daemon_interval="7200"  


**Testen, ob der Client funktioniert**  

```xml
sudo ddclient -daemon=0 -debug -verbose -noquiet 2 /etc/ddclient.conf
```

**Daemon neustarten**  

```xml
sudo /etc/init.d/ddclient restart
```